BEGIN ~#Illyria~

IF ~NumTimesTalkedTo(0)~ THEN BEGIN FirstMeeting
SAY ~You see a young woman asleep on the ground. Her skin has a sickly grey sheen to it, and she has several large bruises on her face and arms. ~

IF ~~ THEN REPLY ~Try to wake her up.~ GOTO Wakeup
IF ~~ THEN REPLY ~Leave her alone.~ GOTO Exit
END

IF ~~ THEN BEGIN Exit
SAY ~She stirs slightly, before drifting back to sleep. You can't help but feel sorry for her as you tear your gaze away.~
IF ~~ EXIT
END

IF ~~ THEN BEGIN Wakeup
SAY ~She groans slightly, and tries to sit up. She looks at you confusedly, and you hear a series of hissing sounds issuing from her mouth. She looks startled, and then seems to remember something. "I am Illyria. Who.. who are you?"~

IF ~~ THEN REPLY ~I'm <CHARNAME>. What happened to you? It looks like you've just lost a huge battle!~ GOTO Battle
IF ~~ THEN REPLY ~Hey there. I'm <CHARNAME>. Are you okay? You don't look too good.. here..(help her to stand up) GOTO HelpHer

END


IF ~~ THEN BEGIN Battle
SAY ~She looks a bit baffled for a moment before smiling wanly. "You might consider it so. I am... curious are leaving here. Soon."~

IF ~~ THEN REPLY ~Well, yes, I'm an adventurer. I'm currently looking for a friend of mine who was taken by a group of powerful wizards. Why do you ask?~ GOTO NeedtoLeave
IF ~~ THEN REPLY ~Perhaps. First, what has happened to you?~ GOTO WhatHappened 
IF ~~ THEN REPLY ~I am, and I have no time for petty conversation.~ GOTO Huffed
END

IF ~~ THEN BEGIN HelpHer
SAY ~She gets up with your help, but seems a little unsteady. "I.. something happened to me.. I don't exactly know what.. But I need to get out of here.. as soon as possible. Can I travel with you, for a while?

IF ~~ THEN REPLY ~Okay.. well, I suppose you can travel with us. What skills can you offer?~ GOTO Skills
IF ~~ THEN REPLY ~Umm.. I don't think I know enough about you to have you join. Why do you need to leave?~ GOTO NeedtoLeave
IF ~~ THEN REPLY ~Definately not. I have pressing engagements elsewhere, leave me to my business. Begone!~ GOTO Huffed
END

IF ~~ THEN BEGIN WhatHappened
SAY ~Her brow furrows in concentration. "I can't really remember.. The last thing I *do* remember is wandering into this forest..~

IF ~~ THEN REPLY ~Okay, well, I suppose it'd be okay if you came with us. I am trying to find a man, Irenicus, who has taken a friend of mine against her will. What skills can you offer us?~ GOTO Skills
IF ~~ THEN REPLY ~You are badly injured.. I suppose you could travel with us until you are healed. But first, why do you want to leave, exactly?~ GOTO NeedtoLeave
IF ~~ THEN REPLY ~Hah, you are a very bad liar. I need to be going. Stay here and rot, for all I care.~ GOTO Huffed
IF ~~ THEN REPLY ~You are obviously in need of help, and whether or not you are telling us the whole truth.. well, you amuse me. You may join us in our hunt for Irenicus.~ GOTO Join
IF ~~ THEN REPLY ~Of course you can join with us. You are badly hurt, and the stern heedings of honor urge me to take you with us. What profession do you follow?~ GOTO Skills
END

IF ~~ THEN BEGIN NeedtoLeave
SAY ~The question obviously takes her by surprise. Her eyes keep darting towards the trees, and she becomes slightly agitated. "I just feel like.. like something bad is going to happen. Here. Soon. Please, can you take me with you?" She whimpers slightly, and a very frightened expression crosses her face. 

IF ~~ THEN REPLY ~Okay, okay, come with me and we'll go. Right now. Promise. Just stop whimpering!~ GOTO Join
IF ~~ THEN REPLY ~It'll be okay, you can come with us and we'll get out of here as soon as we can. (comfort her) GOTO Comfort
IF ~~ THEN REPLY ~You sicken me. You also amuse me, but you mostly sicken me. Get away from me!~ GOTO Huffed
IF ~~ THEN REPLY ~I'm sorry, I just don't have the room in my party right now.. perhaps later? GOTO Huffed
END

IF ~~ THEN BEGIN Huffed
SAY ~She glares at you. "Fine. I will stay here and die then." She says sarcastically, and has a brief coughing fit. She falls back, and you don't think she will last much longer.~ 
IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN Skills
SAY ~She looks at you with a pleading expression on her face. "I can heal people.. and I am very good with a crossbow! Please, take me with you." ~

IF ~~ THEN REPLY ~Well, I'd love to have you in my party, sure. (smile)~ GOTO Join
IF ~~ THEN REPLY ~Erm, you can come along if you want.. you don't sound like you'll be able to help much, but I can't just leave you here to die.~ GOTO Join
IF ~~ THEN REPLY ~Uh, actually, you can just stay right here. I have no need of you.~ GOTO Huffed
IF ~~ THEN REPLY ~Urgh, definately not. Get out of my sight!~ GOTO Huffed
END

IF ~~ THEN BEGIN Join
SAY ~One.. thanks you. Please.. can we leave this place? It.. disturbs me.~ 
IF ~~ THEN DO ~SetGlobal("IllyriaJoined","LOCALS",1)
JoinParty()~ EXIT
END

IF ~~ THEN BEGIN Comfort
SAY ~After a few minutes she calms down. "Th-thankyou, <CHARNAME>. Could we please leave? This forest.. scares me."~

IF ~~ THEN REPLY ~Of course. Join and we'll get going.~ GOTO Join
IF ~~ THEN REPLY ~Umm, actually, no, I don't think I want you in my party.~ GOTO Huffed
IF ~~ THEN REPLY ~I think I'd like to explore a little more..~ GOTO Explore
END

IF ~~ THEN BEGIN Explore
SAY ~She looks at you imploringly, and tears start rolling down her face. "No, please, can we just go? Now? S-something happened here, a-and I don't want to think about it. Please, I need to leave!"~

IF ~~ THEN REPLY ~What happened here, Illyria? I think it might be important.~ GOTO NotTalking
IF ~~ THEN REPLY ~Okay, lets go then.~ GOTO Join2
IF ~~ THEN REPLY ~I will not have such a weak person in my party. Leave me alone, you can die for all I care!~ GOTO Huffed
END

IF ~~ THEN BEGIN NotTalking
SAY ~Illyria looks hesitant, and then her face closes over. "I.. no. Not now. Please, lets just go.~

IF ~~ THEN REPLY ~Okay, come on then.~ GOTO Join2
IF ~~ THEN REPLY ~No, actually, I've changed my mind. I think I might just leave you here.~ GOTO Huffed
END

IF ~~ THEN BEGIN Join2
SAY ~She smiles at you, and her smile is like the sun coming up. "Thankyou."~
IF ~~ THEN DO ~SetGlobal("IllyriaJoined","LOCALS",1)
JoinParty()~ EXIT
END


BEGIN ~#IllyriP~

IF ~Global("IllyriaJoined","LOCALS",1)~ THEN BEGIN KickOut
SAY ~You want me to leave?.~
IF ~~ THEN REPLY ~Oh, I'm sorry, I didn't mean leave.. ~ DO ~JoinParty()~ EXIT
IF ~~ THEN REPLY ~That's right, I don't want you in the party.~ DO ~SetGlobal("IllyriaJoined","LOCALS",0)~ EXIT
END

IF ~Global("Illyria","LOCALS",0)~ THEN BEGIN Rejoin
SAY ~You want me to rejoin?~
IF ~~ THEN REPLY ~Of course I do - I shouldn't have kicked you out in the first place!.~ DO ~SetGlobal("IllyriaJoined","LOCALS",1)
JoinParty()~ EXIT
IF ~~ THEN REPLY ~That's right, I don't want you in the party.~ EXIT
END


